PMDAMOUNTS(1)

NAME
pmdamounts - filesystem mounts performance metrics domain agent (PMDA)

SYNOPSIS
$PCP_PMDAS_DIR/mounts/pmdamounts [-D debug] [-d domain] [-l logfile] [-U username]

DESCRIPTION
pmdamounts is a simple Performance Metrics Domain Agent (PMDA) which monitors availability of a given set of filesystem mounts.

The mounts PMDA exports metrics that reflect whether the configured filesystems are mounted ("up") or not. The list of mount points to monitor is specified via the $PCP_PMDAS_DIR/mounts/mounts.conf file which simply contains one line for each mount point.

A brief description of the pmdamounts command line options follows:

-d  It is absolutely crucial that the performance metrics domain number specified here is unique and consistent. That is, domain should be different for every PMDA on the one host, and the same domain number should be used for the same PMDA on all hosts.

-l  Location of the log file. By default, a log file named mounts.log is written in the current directory of pmcd(1) when pmdamounts is started, i.e. $PCP_LOG_DIR/pmcd. If the log file cannot be created or is not writable, output is written to the standard error instead.

-U  User account under which to run the agent. The default is the unprivileged "pcp" account in current versions of PCP, but in older versions the superuser account ("root") was used by default.

INSTALLATION
If you want access to the names, help text and values for the mounts performance metrics, do the following as root:

# cd $PCP_PMDAS_DIR/mounts
# ./Install

If you want to undo the installation, do the following as root:

# cd $PCP_PMDAS_DIR/mounts
# ./Remove

pmdamounts is launched by pmcd(1) and should never be executed directly. The Install and Remove scripts notify pmcd(1) when the agent is installed or removed.

FILES
$PCP_PMCDCONF_PATH
    command line options used to launch pmdamounts
$PCP_PMDAS_DIR/mounts/help
    default help text file for the mounts metrics
$PCP_PMDAS_DIR/mounts/Install
    installation script for the pmdamounts agent
$PCP_PMDAS_DIR/mounts/Remove
    undo installation script for the pmdamounts agent
$PCP_LOG_DIR/pmcd/mounts.log
    default log file for error messages and other information from pmdamounts

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

DEBUGGING OPTIONS
The -D or --debug option enables the output of additional diagnostics on stderr to help triage problems, although the information is sometimes cryptic and primarily intended to provide guidance for developers rather end-users. debug is a comma separated list of debugging options; use pmdbg(1) with the -l option to obtain a list of the available debugging options and their meaning.

SEE ALSO
PCPIntro(1), pmcd(1), pcp.conf(5) and pcp.env(5).